summaryrefslogtreecommitdiff
path: root/simply-report-installed-packages
diff options
context:
space:
mode:
Diffstat (limited to 'simply-report-installed-packages')
-rwxr-xr-xsimply-report-installed-packages15
1 files changed, 15 insertions, 0 deletions
diff --git a/simply-report-installed-packages b/simply-report-installed-packages
new file mode 100755
index 0000000..7bccf66
--- /dev/null
+++ b/simply-report-installed-packages
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if ! command -v pacman 2>/dev/null; then
+ exit 1
+fi
+
+{
+ uname -n
+ pacman-conf Architecture
+ pacman -Slq archlinuxewe \
+ | grep -xFf <(
+ pacman -Qq
+ )
+} \
+| curl -T - https://arch.eckner.net/report.php